#ifndef cprojectiles_def
#define cprojectiles_def

#include "CObject.h"
#include "CParts.h"
#include "CAnim.h"
#include "CTile.h"
#include "CTileSet.h"
#include "CObjectSet.h"
#include "CMapObject.h"
#include "CMapObjects.h"
#include "CMapObjects.h"
#include "CForeground.h"
#include "CMap.h"
#include "CProjectile.h"

#define max_projs   100


class CProjectiles
{
private:
    CProjectile proj[max_projs];
    int next_proj;

public:
    void init_all(void);
    void create_new(BITMAP *pic, float x, float y, float angle, ProjInfo _info);
    void draw_all(BITMAP *backgr, float s_x, float s_y);
    Point move_all(CMap *map);
    CProjectile* return_current_shot(int type);
    int return_type(int num);
    int check_col_with_object(CMapObject *object);

};

#endif
